package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ExternalChannel;
import com.tzld.piaoquan.api.model.po.contentplatform.ExternalChannelExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ExternalChannelMapper {
    long countByExample(ExternalChannelExample example);

    int deleteByExample(ExternalChannelExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ExternalChannel record);

    int insertSelective(ExternalChannel record);

    List<ExternalChannel> selectByExample(ExternalChannelExample example);

    ExternalChannel selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ExternalChannel record, @Param("example") ExternalChannelExample example);

    int updateByExample(@Param("record") ExternalChannel record, @Param("example") ExternalChannelExample example);

    int updateByPrimaryKeySelective(ExternalChannel record);

    int updateByPrimaryKey(ExternalChannel record);
}